Upgrade Zeos 6.5.1 to 6.6.4 BIG PROBLEM

Forum related to version 6.5.1 (alpha) and 6.6.x (beta) of ZeosLib's DBOs

Moderators: gto, cipto_kh, EgonHugeist

santigesualdo
Fresh Boarder
Fresh Boarder
Posts: 2
Joined: 01.02.2013, 13:38

Upgrade Zeos 6.5.1 to 6.6.4 BIG PROBLEM

Postby santigesualdo » 01.02.2013, 14:00

Hello im posting from Santa Fe, Argentina and I have a big problem with Delphi 7 and Zeos library. There are several applications in my place of work and i´ve under my watch an application that is very old. Say there are 4 systems with Zeos 6.6.4 and the one i have is 6.5.1 version. Delphi 7 can have only one version of this component installed and i need to migrate the system to version 6.6.4.

I have all the necessary library files, but not how to proceed and I would like to know if anyone had to deal with a similar problem in the past.

Sorry for my writing.
Please help!

User avatar
EgonHugeist
Zeos Dev Team
Zeos Dev Team
Posts: 1739
Joined: 31.03.2011, 22:38

Postby EgonHugeist » 04.02.2013, 19:34

santigesualdo,

I don't understand what your problem is. I propose you switch to the latest version, fix some issues, which might be possible and compiler the whole project again.

Btw. Zeos7-stable is released too...
King regards, Michael

You want to help? viewtopic.php?f=4&t=3671
You found a (possible) bug? Use the new bugtracker dude! http://sourceforge.net/p/zeoslib/tickets/

Image

User avatar
mdaems
Zeos Project Manager
Zeos Project Manager
Posts: 2766
Joined: 20.09.2005, 15:28
Location: Brussels, Belgium
Contact:

Postby mdaems » 10.03.2013, 20:50

santigesualdo,

If you really need both versions side by side I can only advise you to use a virtual machine for support of the old application.
But I'd say : just try to upgrade from 6.5.1 to 6.6.4 for that application. 6.5.1 was an alfa version that became the 6.6-series. So converting should not be difficultand only fix 6.5.1 issues.

And when that's done, you really should start thinking about upgrading all to 7.0. We don't actively support the 6.6-series anymore.

Mark
Image


Return to “6.5.1 (alpha) - 6.6.x (beta)”

Who is online

Users browsing this forum: No registered users and 1 guest